summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author LEVAI Daniel <leva@ecentrum.hu>2013-03-11 21:13:23 -0400
committer dsomero <xgizzmo@slackbuilds.org>2013-03-22 07:16:43 -0400
commitf25f4b899579be84dfe19b97efda732631be51eb (patch)
treef1d774e3ea08975769d8249e19cd0ddc4600ad18
parent2f411486ab4113a6e8baa9f66f3bb64710062857 (diff)
downloadslackbuilds-f25f4b899579be84dfe19b97efda732631be51eb.tar.gz
slackbuilds-f25f4b899579be84dfe19b97efda732631be51eb.tar.xz
perl/perl-Module-Manifest: Added (Parse distribution MANIFEST file)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--perl/perl-Module-Manifest/README5
-rw-r--r--perl/perl-Module-Manifest/perl-Module-Manifest.SlackBuild84
-rw-r--r--perl/perl-Module-Manifest/perl-Module-Manifest.info10
-rw-r--r--perl/perl-Module-Manifest/slack-desc19
4 files changed, 118 insertions, 0 deletions
diff --git a/perl/perl-Module-Manifest/README b/perl/perl-Module-Manifest/README
new file mode 100644
index 0000000000..d9db35af03
--- /dev/null
+++ b/perl/perl-Module-Manifest/README
@@ -0,0 +1,5 @@
+perl-Module-Manifest (Parse and examine a distribution MANIFEST file)
+Module::Manifest is a simple utility module created originally for use
+in Module::Inspector. It can load a MANIFEST file that comes in a Perl
+distribution tarball, examine the contents, and perform some simple
+tasks. It can also load the MANIFEST.SKIP file and check that.
diff --git a/perl/perl-Module-Manifest/perl-Module-Manifest.SlackBuild b/perl/perl-Module-Manifest/perl-Module-Manifest.SlackBuild
new file mode 100644
index 0000000000..e592352d66
--- /dev/null
+++ b/perl/perl-Module-Manifest/perl-Module-Manifest.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for <appname>
+
+# Written by (your name) (your contact information)
+
+PRGNAM=perl-Module-Manifest
+VERSION=${VERSION:-1.08}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README Changes \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Module-Manifest/perl-Module-Manifest.info b/perl/perl-Module-Manifest/perl-Module-Manifest.info
new file mode 100644
index 0000000000..e1284d285b
--- /dev/null
+++ b/perl/perl-Module-Manifest/perl-Module-Manifest.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Module-Manifest"
+VERSION="1.08"
+HOMEPAGE="http://search.cpan.org/~adamk/Module-Manifest-1.08/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/Module-Manifest-1.08.tar.gz"
+MD5SUM="90f035a0074c3edcf8f595a38ec90da1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-Params-Util perl-Test-Exception perl-test-warn"
+MAINTAINER="LEVAI Daniel"
+EMAIL="leva@ecentrum.hu"
diff --git a/perl/perl-Module-Manifest/slack-desc b/perl/perl-Module-Manifest/slack-desc
new file mode 100644
index 0000000000..7f7996beb2
--- /dev/null
+++ b/perl/perl-Module-Manifest/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Module-Manifest: perl-Module-Manifest (Parse and examine a distribution MANIFEST file)
+perl-Module-Manifest:
+perl-Module-Manifest: Module::Manifest is a simple utility module created originally for use
+perl-Module-Manifest: in Module::Inspector. It can load a MANIFEST file that comes in a Perl
+perl-Module-Manifest: distribution tarball, examine the contents, and perform some simple
+perl-Module-Manifest: tasks. It can also load the MANIFEST.SKIP file and check that.
+perl-Module-Manifest:
+perl-Module-Manifest:
+perl-Module-Manifest:
+perl-Module-Manifest:
+perl-Module-Manifest: